#
# spec file for package xf86-video-sisusb
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xf86-video-sisusb
Version:        0.9.7
Release:        1.26
Summary:        SiS and XGI video driver for the Xorg X server
License:        BSD-3-Clause and MIT
Group:          System/X11/Servers/XF86_4
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/driver/%{name}-%{version}.tar.bz2
BuildRequires:  Mesa-devel
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(fontsproto)
BuildRequires:  pkgconfig(libdrm) >= 2.0
BuildRequires:  pkgconfig(pciaccess) >= 0.10
BuildRequires:  pkgconfig(randrproto)
BuildRequires:  pkgconfig(renderproto)
BuildRequires:  pkgconfig(videoproto)
BuildRequires:  pkgconfig(xextproto)
BuildRequires:  pkgconfig(xf86dgaproto)
BuildRequires:  pkgconfig(xf86driproto)
BuildRequires:  pkgconfig(xineramaproto)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xorg-server) >= 1.0.99.901
BuildRequires:  pkgconfig(xproto)
# This was part of the xorg-x11-driver-video package up to version 7.6
Conflicts:      xorg-x11-driver-video <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExcludeArch:    s390 s390x
%x11_abi_videodrv_req

%description
sis is an Xorg driver for SiS (Silicon Integrated Systems) and XGI video
cards.

The driver is accelerated and provides support for colordepths of 8, 16
and 24 bpp. XVideo, Render and other extensions are supported as well.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%dir %{_libdir}/xorg/modules/drivers
%{_libdir}/xorg/modules/drivers/sisusb_drv.so
%{_datadir}/man/man4/sisusb.4%{?ext_man}

%changelog
* Thu Jan 19 2017 sndirsch@suse.com
- Update to version 0.9.7
  * Remove mibstore.h
  * Adapt Block/WakeupHandler signature for ABI 23
- supersedes U_Remove-mibstore.h.patch,
  u_Adapt-Block-WakeupHandler-signature-for-ABI-23.patch
* Wed Nov 30 2016 sndirsch@suse.com
- u_Adapt-Block-WakeupHandler-signature-for-ABI-23.patch
  * Adapt Block/WakeupHandler signature for ABI 23
* Wed Aug  7 2013 ro@suse.de
- add ExcludeArch for s390 and s390x
* Thu Mar 21 2013 sndirsch@suse.com
- Add mibstore.patch, fixes build with xorg-server 1.14
- No longer install this driver by default
* Sun Oct 21 2012 dmueller@suse.com
- Initial package (0.9.6)
